import request from '@/utils/request'

// 查询我的考试、模拟题目（做过）列表
export function listMemberExamSimulateAll(query) {
  return request({
    url: '/hezhi/memberExamSimulateAll/list',
    method: 'get',
    params: query
  })
}

// 查询我的考试、模拟题目（做过）详细
export function getMemberExamSimulateAll(memberExamSimulateAllId) {
  return request({
    url: '/hezhi/memberExamSimulateAll/' + memberExamSimulateAllId,
    method: 'get'
  })
}

// 新增我的考试、模拟题目（做过）
export function addMemberExamSimulateAll(data) {
  return request({
    url: '/hezhi/memberExamSimulateAll',
    method: 'post',
    data: data
  })
}

// 修改我的考试、模拟题目（做过）
export function updateMemberExamSimulateAll(data) {
  return request({
    url: '/hezhi/memberExamSimulateAll',
    method: 'put',
    data: data
  })
}

// 删除我的考试、模拟题目（做过）
export function delMemberExamSimulateAll(memberExamSimulateAllId) {
  return request({
    url: '/hezhi/memberExamSimulateAll/' + memberExamSimulateAllId,
    method: 'delete'
  })
}
